% A basic algorithm to automatically compute the gait
% period by means of computing the Euclidean distance
% between gait points in the configuration space.

% For more details, read
% Segmentation of biomechanical signals by joint-space 
%		distance criterion
% A. Goswami
% 17th Congress of the International Society of Biomechanics 
% 	(ISB), Calgary, Canada, August 1999 


	// Code By: Ambarish Goswami
	// INRIA Rhone-Alpes, Grenoble, France
	// Copyright: 1997-1998

% To accompany main code: segm.m

function [distance] = dist(i,j, mat)
global r2d d2r
	distance = 0.0;
	for l = 1 : min(size(mat))
		dist_var = (mat(j,l) - mat(i,l))^2;
		distance = distance + dist_var;
	end
distance = sqrt(distance);
