% A basic algorithm to automatically compute the gait
% period by means of computing the Euclidean distance
% between gait points in the configuration space.

% For more details, read
% Segmentation of biomechanical signals by joint-space 
%		distance criterion
% A. Goswami
% 17th Congress of the International Society of Biomechanics 
% 	(ISB), Calgary, Canada, August 1999 


	// Code By: Ambarish Goswami
	// INRIA Rhone-Alpes, Grenoble, France
	// Copyright: 1997-1998

% To accompany main code: segm.m


frequency = 1.735;
amplitude = 0.5346;
sampling_step = 0.005;
signal = amplitude * sin (2 * pi * frequency* [0: sampling_step : 2]);
fourier= fft(signal);
fourier_power = (real(fourier)).^2 + (imag(fourier)).^2;
signal_length = max(size(signal));
k = 0 : signal_length-1;
k = k/(sampling_step*signal_length);
%plot(k, fourier_power)
plot(k(1:10), fourier_power(1:10))